AlphaDrive invoice webhook

Credentials

No credentials are documented for this endpoint.

Webhook endpoint for AlphaDrive invoice integration. Receives notifications when invoices are created in AlphaDrive system.

Parameters

This endpoint takes no path, query or header parameters.

Request body

Content type: application/json

Field Type Required Description
eventType string no Event type (e.g., INVOICE_CREATED)
invoiceId string no AlphaDrive invoice ID
sellerId string no Seller identifier
totalAmount number no Total document amount
vatAmount number no VAT amount
currency string no Currency code
timestamp string no Event timestamp

Request example

{
  "eventType": "INVOICE_CREATED",
  "invoiceId": "AD-2024-12345",
  "sellerId": "seller_67890",
  "totalAmount": 1170,
  "vatAmount": 170,
  "currency": "ILS",
  "timestamp": "2024-01-15T10:30:00Z"
}

Code samples

curl

curl -X POST 'https://sandbox.payme.io/api/partner/api/documents/income/hook/alpha-drive' \
  -H 'Content-Type: application/json' \
  --data-raw '{
  "eventType": "INVOICE_CREATED",
  "invoiceId": "AD-2024-12345",
  "sellerId": "seller_67890",
  "totalAmount": 1170,
  "vatAmount": 170,
  "currency": "ILS",
  "timestamp": "2024-01-15T10:30:00Z"
}'

Node.js

const response = await fetch("https://sandbox.payme.io/api/partner/api/documents/income/hook/alpha-drive", {
  method: "POST",
  headers: {
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
    "eventType": "INVOICE_CREATED",
    "invoiceId": "AD-2024-12345",
    "sellerId": "seller_67890",
    "totalAmount": 1170,
    "vatAmount": 170,
    "currency": "ILS",
    "timestamp": "2024-01-15T10:30:00Z"
  }),
});

console.log(await response.text());

Python

import requests

response = requests.post(
    "https://sandbox.payme.io/api/partner/api/documents/income/hook/alpha-drive",
    json={
        "eventType": "INVOICE_CREATED",
        "invoiceId": "AD-2024-12345",
        "sellerId": "seller_67890",
        "totalAmount": 1170,
        "vatAmount": 170,
        "currency": "ILS",
        "timestamp": "2024-01-15T10:30:00Z",
    },
)

print(response.text)

PHP

<?php

$body = <<<'BODY'
{
  "eventType": "INVOICE_CREATED",
  "invoiceId": "AD-2024-12345",
  "sellerId": "seller_67890",
  "totalAmount": 1170,
  "vatAmount": 170,
  "currency": "ILS",
  "timestamp": "2024-01-15T10:30:00Z"
}
BODY;

$ch = curl_init('https://sandbox.payme.io/api/partner/api/documents/income/hook/alpha-drive');
curl_setopt_array($ch, [
    CURLOPT_CUSTOMREQUEST => 'POST',
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_HTTPHEADER => [
        'Content-Type: application/json',
    ],
    CURLOPT_POSTFIELDS => $body,
]);

$response = curl_exec($ch);
curl_close($ch);

echo $response;

Responses

200 — Webhook processed successfully (success)

401 — Unauthorized - Invalid or missing authentication (error)

Field Type Description
statusCode integer
message string
error string
{
  "statusCode": 401,
  "message": "Unauthorized",
  "error": "Unauthorized"
}